modelAveraging {RJaCGH} | R Documentation

## Method for model averaging for RJaCGH objects.

### Description

Bayesian model averaging for the estimation of hidden state sequence.

### Usage

    modelAveraging(obj, array=NULL, Chrom=NULL)
    ## S3 method for class 'RJaCGH'
    modelAveraging(obj, array=NULL, Chrom=NULL)

### Arguments

`obj` | An object of corresponding class
`array` | Array to be used. If NULL, all of them are used.
`Chrom` | Vector of chromosomes to be used. If NULL, all of them are used.

### Details

With the posterior distribution of the number of hidden states, bayesian model averaging is performed on every model using `states` method.

As the other methods, it may return a list with sublists according to the hierarchy of RJaCGH objects.

### Value

`states` | Factor with the hidden state sequence
`prob.states` | Matrix with the probabilities associated to every states for every observation.

### Author(s)

Oscar M. Rueda and Ramon Diaz Uriarte

### References

Rueda OM, Diaz-Uriarte R. Flexible and Accurate Detection of Genomic Copy-Number Changes from aCGH. PLoS Comput Biol. 2007;3(6):e122

### See Also

`RJaCGH`, `summary.RJaCGH`, `states`, `plot.RJaCGH`, `trace.plot`

### Examples

    ## Not run: y <- c(rnorm(100, 0, 1), rnorm(10, -3, 1), rnorm(20, 3, 1),
           rnorm(100,0, 1))
    Pos <- sample(x=1:500, size=230, replace=TRUE)
    Pos <- cumsum(Pos)
    Chrom <- rep(1:23, rep(10, 23))

    jp <- list(sigma.tau.mu=rep(0.5, 5), sigma.tau.sigma.2=rep(0.3, 5),
    sigma.tau.beta=rep(0.7, 5), tau.split.mu=0.5, tau.split.beta=0.5)
    fit.genome <- RJaCGH(y=y, Pos=Pos, Chrom=Chrom, model="Genome",
    burnin=1000, TOT=10000, jump.parameters=jp, max.k=5)
    mo <- modelAveraging(fit.genome)
    print(mo)
    ## End(Not run)

[Package RJaCGH version 2.0.4 Index]